Package io.github.jdbcx.driver

# Class ExecutableBlock

java.lang.Object
io.github.jdbcx.driver.ExecutableBlock

public final class ExecutableBlock extends Object
An executable block represents either a function, which returns a value, or a procedure, which is executed without returning a value.

- A function is defined using the syntax: `{{[function(args)]: <body>}}`
- A procedure is defined using the syntax: `{%[procedure(args)]: <body>%}`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getContent()`
`String`
`getExtensionName()`
`int`
`getIndex()`
`Properties`
`getProperties()`
`int`
`hashCode()`
`boolean`
`hasNoArguments()`
`boolean`
`hasOutput()`
`boolean`
`sameAs(ExecutableBlock block)`
`boolean`
`useBridge()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getIndex

public int getIndex()

### getExtensionName

public String getExtensionName()

### getProperties

public Properties getProperties()

### getContent

public String getContent()

### sameAs

public boolean sameAs(ExecutableBlock block)

### hasNoArguments

public boolean hasNoArguments()

### hasOutput

public boolean hasOutput()

### useBridge

public boolean useBridge()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`